/*
 *   DCAP - dCache Access Protocol client interface
 *
 *   Copyright (C) 2000,2004 DESY Hamburg DMG-Division.
 *
 *   AUTHOR: Tigran Mkrtchayn (tigran.mkrtchyan@desy.de)
 *
 *   This program can be distributed under the terms of the GNU LGPL.
 *   See the file COPYING.LIB
 *
 */
 
 
/*
 * $Id: dc_hack.h,v 1.7 2004/11/01 19:33:28 tigran Exp $
 */

 
#ifndef DC_HACK_H
#define DC_HACK_H

#define open  dc_open
#define close dc_close
#define read  dc_read
#define write dc_write
#define lseek dc_lseek
#define stat dc_stat
#define lstat dc_lstat
#define fsync dc_fsync
#define dup dc_dup

#define fopen   dc_fopen
#define fdopen  dc_fdopen
#define fclose  dc_fclose
#define fread   dc_fread
#define fwrite  dc_fwrite
#define fseek   dc_fseek
#define feof    dc_feof
#define ftell   dc_ftell
#define ferror  dc_ferror
#define fflush dc_fflush

#endif /* DC_HACK_H */
